image: openjdk:8-jdk-slim

before_script:
    - chmod +x mvnw

stages:
    - test
    - build
build:
    stage: build
    script:
        - ./mvnw -B install -DskipTests
unit:
    stage: test
    script:
        - ./mvnw -B test
e2e:
    stage: test
    script:
        - ./mvnw -B test -Dtests.tags="e2e"